Source: date
Version: 1.2.34-1
Severity: serious
Justification: fails to build from source
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-Cc: reproducible-builds@lists.alioth.debian.org

Dear Maintainer,

date fails to build from source in unstable/amd64:

  [..]

  Unpacking x11-common (1:7.7+15) ...
  Selecting previously unselected package libice6:amd64.
  Preparing to unpack .../libice6_2%3a1.0.9-1+b1_amd64.deb ...
  Unpacking libice6:amd64 (2:1.0.9-1+b1) ...
  Selecting previously unselected package libjpeg62-turbo:amd64.
  Preparing to unpack .../libjpeg62-turbo_1%3a1.5.0-1_amd64.deb ...
  Unpacking libjpeg62-turbo:amd64 (1:1.5.0-1) ...
  Selecting previously unselected package liblapack3.
  Preparing to unpack .../liblapack3_3.6.1-1_amd64.deb ...
  Unpacking liblapack3 (3.6.1-1) ...
  Selecting previously unselected package fontconfig.
  Preparing to unpack .../fontconfig_2.11.0-6.4_amd64.deb ...
  Unpacking fontconfig (2.11.0-6.4) ...
  Selecting previously unselected package libthai-data.
  Preparing to unpack .../libthai-data_0.1.25-1_all.deb ...
  Unpacking libthai-data (0.1.25-1) ...
  Selecting previously unselected package libdatrie1:amd64.
  Preparing to unpack .../libdatrie1_0.2.10-2_amd64.deb ...
  Unpacking libdatrie1:amd64 (0.2.10-2) ...
  Selecting previously unselected package libthai0:amd64.
  Preparing to unpack .../libthai0_0.1.25-1_amd64.deb ...
  Unpacking libthai0:amd64 (0.1.25-1) ...
  Selecting previously unselected package libpango-1.0-0:amd64.
  Preparing to unpack .../libpango-1.0-0_1.40.1-1_amd64.deb ...
  Unpacking libpango-1.0-0:amd64 (1.40.1-1) ...
  Selecting previously unselected package libgraphite2-3:amd64.
  Preparing to unpack .../libgraphite2-3_1.3.8-1_amd64.deb ...
  Unpacking libgraphite2-3:amd64 (1.3.8-1) ...
  Selecting previously unselected package libharfbuzz0b:amd64.
  Preparing to unpack .../libharfbuzz0b_1.2.6-2_amd64.deb ...
  Unpacking libharfbuzz0b:amd64 (1.2.6-2) ...
  Selecting previously unselected package libpangoft2-1.0-0:amd64.
  Preparing to unpack .../libpangoft2-1.0-0_1.40.1-1_amd64.deb ...
  Unpacking libpangoft2-1.0-0:amd64 (1.40.1-1) ...
  Selecting previously unselected package libpangocairo-1.0-0:amd64.
  Preparing to unpack .../libpangocairo-1.0-0_1.40.1-1_amd64.deb ...
  Unpacking libpangocairo-1.0-0:amd64 (1.40.1-1) ...
  Selecting previously unselected package libsm6:amd64.
  Preparing to unpack .../libsm6_2%3a1.2.2-1+b1_amd64.deb ...
  Unpacking libsm6:amd64 (2:1.2.2-1+b1) ...
  Selecting previously unselected package libtcl8.6:amd64.
  Preparing to unpack .../libtcl8.6_8.6.5+dfsg-2_amd64.deb ...
  Unpacking libtcl8.6:amd64 (8.6.5+dfsg-2) ...
  Selecting previously unselected package libjbig0:amd64.
  Preparing to unpack .../libjbig0_2.1-3.1_amd64.deb ...
  Unpacking libjbig0:amd64 (2.1-3.1) ...
  Selecting previously unselected package libtiff5:amd64.
  Preparing to unpack .../libtiff5_4.0.6-1_amd64.deb ...
  Unpacking libtiff5:amd64 (4.0.6-1) ...
  Selecting previously unselected package libxft2:amd64.
  Preparing to unpack .../libxft2_2.3.2-1_amd64.deb ...
  Unpacking libxft2:amd64 (2.3.2-1) ...
  Selecting previously unselected package libxss1:amd64.
  Preparing to unpack .../libxss1_1%3a1.2.2-1_amd64.deb ...
  Unpacking libxss1:amd64 (1:1.2.2-1) ...
  Selecting previously unselected package libtk8.6:amd64.
  Preparing to unpack .../libtk8.6_8.6.5-1_amd64.deb ...
  Unpacking libtk8.6:amd64 (8.6.5-1) ...
  Selecting previously unselected package libxt6:amd64.
  Preparing to unpack .../libxt6_1%3a1.1.5-1_amd64.deb ...
  Unpacking libxt6:amd64 (1:1.1.5-1) ...
  Selecting previously unselected package openssl.
  Preparing to unpack .../openssl_1.0.2h-1_amd64.deb ...
  Unpacking openssl (1.0.2h-1) ...
  Selecting previously unselected package ca-certificates.
  Preparing to unpack .../ca-certificates_20160104_all.deb ...
  Unpacking ca-certificates (20160104) ...
  Selecting previously unselected package r-base-core.
  Preparing to unpack .../r-base-core_3.3.1-1_amd64.deb ...
  Unpacking r-base-core (3.3.1-1) ...
  Selecting previously unselected package libgfortran-5-dev:amd64.
  Preparing to unpack .../libgfortran-5-dev_5.4.0-6_amd64.deb ...
  Unpacking libgfortran-5-dev:amd64 (5.4.0-6) ...
  Selecting previously unselected package gfortran-5.
  Preparing to unpack .../gfortran-5_5.4.0-6_amd64.deb ...
  Unpacking gfortran-5 (5.4.0-6) ...
  Selecting previously unselected package gfortran.
  Preparing to unpack .../gfortran_4%3a5.3.1-3_amd64.deb ...
  Unpacking gfortran (4:5.3.1-3) ...
  Selecting previously unselected package libblas-dev.
  Preparing to unpack .../libblas-dev_3.6.1-1_amd64.deb ...
  Unpacking libblas-dev (3.6.1-1) ...
  Selecting previously unselected package liblapack-dev.
  Preparing to unpack .../liblapack-dev_3.6.1-1_amd64.deb ...
  Unpacking liblapack-dev (3.6.1-1) ...
  Selecting previously unselected package libtinfo-dev:amd64.
  Preparing to unpack .../libtinfo-dev_6.0+20160319-2+b1_amd64.deb ...
  Unpacking libtinfo-dev:amd64 (6.0+20160319-2+b1) ...
  Selecting previously unselected package libncurses5-dev:amd64.
  Preparing to unpack .../libncurses5-dev_6.0+20160319-2+b1_amd64.deb ...
  Unpacking libncurses5-dev:amd64 (6.0+20160319-2+b1) ...
  Selecting previously unselected package libreadline6-dev:amd64.
  Preparing to unpack .../libreadline6-dev_6.3-8+b4_amd64.deb ...
  Unpacking libreadline6-dev:amd64 (6.3-8+b4) ...
  Selecting previously unselected package libreadline-dev:amd64.
  Preparing to unpack .../libreadline-dev_6.3-8+b4_amd64.deb ...
  Unpacking libreadline-dev:amd64 (6.3-8+b4) ...
  Selecting previously unselected package libjpeg62-turbo-dev:amd64.
  Preparing to unpack .../libjpeg62-turbo-dev_1%3a1.5.0-1_amd64.deb ...
  Unpacking libjpeg62-turbo-dev:amd64 (1:1.5.0-1) ...
  Selecting previously unselected package libjpeg-dev.
  Preparing to unpack .../libjpeg-dev_1%3a1.5.0-1_all.deb ...
  Unpacking libjpeg-dev (1:1.5.0-1) ...
  Selecting previously unselected package libpcre16-3:amd64.
  Preparing to unpack .../libpcre16-3_2%3a8.38-3.1_amd64.deb ...
  Unpacking libpcre16-3:amd64 (2:8.38-3.1) ...
  Selecting previously unselected package libpcre32-3:amd64.
  Preparing to unpack .../libpcre32-3_2%3a8.38-3.1_amd64.deb ...
  Unpacking libpcre32-3:amd64 (2:8.38-3.1) ...
  Selecting previously unselected package libpcrecpp0v5:amd64.
  Preparing to unpack .../libpcrecpp0v5_2%3a8.38-3.1_amd64.deb ...
  Unpacking libpcrecpp0v5:amd64 (2:8.38-3.1) ...
  Selecting previously unselected package libpcre3-dev:amd64.
  Preparing to unpack .../libpcre3-dev_2%3a8.38-3.1_amd64.deb ...
  Unpacking libpcre3-dev:amd64 (2:8.38-3.1) ...
  Selecting previously unselected package zlib1g-dev:amd64.
  Preparing to unpack .../zlib1g-dev_1%3a1.2.8.dfsg-2+b1_amd64.deb ...
  Unpacking zlib1g-dev:amd64 (1:1.2.8.dfsg-2+b1) ...
  Selecting previously unselected package libpng-dev:amd64.
  Preparing to unpack .../libpng-dev_1.6.23-1_amd64.deb ...
  Unpacking libpng-dev:amd64 (1.6.23-1) ...
  Selecting previously unselected package libbz2-dev:amd64.
  Preparing to unpack .../libbz2-dev_1.0.6-8_amd64.deb ...
  Unpacking libbz2-dev:amd64 (1.0.6-8) ...
  Selecting previously unselected package liblzma-dev:amd64.
  Preparing to unpack .../liblzma-dev_5.1.1alpha+20120614-2.1_amd64.deb ...
  Unpacking liblzma-dev:amd64 (5.1.1alpha+20120614-2.1) ...
  Selecting previously unselected package icu-devtools.
  Preparing to unpack .../icu-devtools_55.1-7_amd64.deb ...
  Unpacking icu-devtools (55.1-7) ...
  Selecting previously unselected package libicu-dev:amd64.
  Preparing to unpack .../libicu-dev_55.1-7_amd64.deb ...
  Unpacking libicu-dev:amd64 (55.1-7) ...
  Selecting previously unselected package r-base-dev.
  Preparing to unpack .../r-base-dev_3.3.1-1_all.deb ...
  Unpacking r-base-dev (3.3.1-1) ...
  Processing triggers for man-db (2.7.5-1) ...
  Processing triggers for mime-support (3.60) ...
  Processing triggers for libc-bin (2.23-1) ...
  Processing triggers for systemd (230-5) ...
  Setting up cdbs (0.4.142) ...
  Setting up zip (3.0-11) ...
  Setting up unzip (6.0-20) ...
  Setting up ucf (3.0036) ...
  Setting up libpaper1:amd64 (1.1.24+nmu4) ...
  
  Creating config file /etc/papersize with new version
  Setting up libpaper-utils (1.1.24+nmu4) ...
  Setting up xdg-utils (1.1.1-1) ...
  Setting up libgfortran3:amd64 (6.1.1-8) ...
  Setting up libblas-common (3.6.1-1) ...
  Setting up libblas3 (3.6.1-1) ...
  update-alternatives: using /usr/lib/libblas/libblas.so.3 to provide 
/usr/lib/libblas.so.3 (libblas.so.3) in auto mode
  Setting up libpng16-16:amd64 (1.6.23-1) ...
  Setting up libfreetype6:amd64 (2.6.3-3+b1) ...
  Setting up fonts-dejavu-core (2.35-1) ...
  Setting up fontconfig-config (2.11.0-6.4) ...
  Setting up libfontconfig1:amd64 (2.11.0-6.4) ...
  Setting up libpixman-1-0:amd64 (0.33.6-1) ...
  Setting up libxau6:amd64 (1:1.0.8-1) ...
  Setting up libxdmcp6:amd64 (1:1.1.2-1.1) ...
  Setting up libxcb1:amd64 (1.11.1-1) ...
  Setting up libx11-data (2:1.6.3-1) ...
  Setting up libx11-6:amd64 (2:1.6.3-1) ...
  Setting up libxcb-render0:amd64 (1.11.1-1) ...
  Setting up libxcb-shm0:amd64 (1.11.1-1) ...
  Setting up libxext6:amd64 (2:1.3.3-1) ...
  Setting up libxrender1:amd64 (1:0.9.9-2) ...
  Setting up libcairo2:amd64 (1.14.6-1+b1) ...
  Setting up libcurl3:amd64 (7.47.0-1) ...
  Setting up x11-common (1:7.7+15) ...
  update-rc.d: warning: start and stop actions are no longer supported; falling 
back to defaults
  invoke-rc.d: could not determine current runlevel
  invoke-rc.d: policy-rc.d denied execution of start.
  Setting up libice6:amd64 (2:1.0.9-1+b1) ...
  Setting up libjpeg62-turbo:amd64 (1:1.5.0-1) ...
  Setting up liblapack3 (3.6.1-1) ...
  update-alternatives: using /usr/lib/lapack/liblapack.so.3 to provide 
/usr/lib/liblapack.so.3 (liblapack.so.3) in auto mode
  Setting up fontconfig (2.11.0-6.4) ...
  Regenerating fonts cache... done.
  Setting up libthai-data (0.1.25-1) ...
  Setting up libdatrie1:amd64 (0.2.10-2) ...
  Setting up libthai0:amd64 (0.1.25-1) ...
  Setting up libpango-1.0-0:amd64 (1.40.1-1) ...
  Setting up libgraphite2-3:amd64 (1.3.8-1) ...
  Setting up libharfbuzz0b:amd64 (1.2.6-2) ...
  Setting up libpangoft2-1.0-0:amd64 (1.40.1-1) ...
  Setting up libpangocairo-1.0-0:amd64 (1.40.1-1) ...
  Setting up libsm6:amd64 (2:1.2.2-1+b1) ...
  Setting up libtcl8.6:amd64 (8.6.5+dfsg-2) ...
  Setting up libjbig0:amd64 (2.1-3.1) ...
  Setting up libtiff5:amd64 (4.0.6-1) ...
  Setting up libxft2:amd64 (2.3.2-1) ...
  Setting up libxss1:amd64 (1:1.2.2-1) ...
  Setting up libtk8.6:amd64 (8.6.5-1) ...
  Setting up libxt6:amd64 (1:1.1.5-1) ...
  Setting up openssl (1.0.2h-1) ...
  Setting up ca-certificates (20160104) ...
  Setting up r-base-core (3.3.1-1) ...
  
  Creating config file /etc/R/Renviron with new version
  Setting up libgfortran-5-dev:amd64 (5.4.0-6) ...
  Setting up gfortran-5 (5.4.0-6) ...
  Setting up gfortran (4:5.3.1-3) ...
  update-alternatives: using /usr/bin/gfortran to provide /usr/bin/f95 (f95) in 
auto mode
  update-alternatives: using /usr/bin/gfortran to provide /usr/bin/f77 (f77) in 
auto mode
  Setting up libblas-dev (3.6.1-1) ...
  update-alternatives: using /usr/lib/libblas/libblas.so to provide 
/usr/lib/libblas.so (libblas.so) in auto mode
  Setting up liblapack-dev (3.6.1-1) ...
  update-alternatives: using /usr/lib/lapack/liblapack.so to provide 
/usr/lib/liblapack.so (liblapack.so) in auto mode
  Setting up libtinfo-dev:amd64 (6.0+20160319-2+b1) ...
  Setting up libncurses5-dev:amd64 (6.0+20160319-2+b1) ...
  Setting up libreadline6-dev:amd64 (6.3-8+b4) ...
  Setting up libreadline-dev:amd64 (6.3-8+b4) ...
  Setting up libjpeg62-turbo-dev:amd64 (1:1.5.0-1) ...
  Setting up libjpeg-dev (1:1.5.0-1) ...
  Setting up libpcre16-3:amd64 (2:8.38-3.1) ...
  Setting up libpcre32-3:amd64 (2:8.38-3.1) ...
  Setting up libpcrecpp0v5:amd64 (2:8.38-3.1) ...
  Setting up libpcre3-dev:amd64 (2:8.38-3.1) ...
  Setting up zlib1g-dev:amd64 (1:1.2.8.dfsg-2+b1) ...
  Setting up libpng-dev:amd64 (1.6.23-1) ...
  Setting up libbz2-dev:amd64 (1.0.6-8) ...
  Setting up liblzma-dev:amd64 (5.1.1alpha+20120614-2.1) ...
  Setting up icu-devtools (55.1-7) ...
  Setting up libicu-dev:amd64 (55.1-7) ...
  Setting up r-base-dev (3.3.1-1) ...
  Setting up date-build-deps (1.2.34-1) ...
  Processing triggers for libc-bin (2.23-1) ...
  Processing triggers for systemd (230-5) ...
  Processing triggers for ca-certificates (20160104) ...
  Updating certificates in /etc/ssl/certs...
  173 added, 0 removed; done.
  Running hooks in /etc/ca-certificates/update.d...
  done.
  
  
**************************************************************************************
  ** Environment                                                                
      **
  
**************************************************************************************
  
  
PATH=/home/lamby/git/projects/dotfiles/dotfiles/..//bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  HOSTNAME=2d39654d0c47
  TERM=xterm
  PAGER=more
  DISPLAY=:0
  DOCKER_IMAGE=lamby-debian-sid
  DEB_BUILD_OPTIONS=parallel=9
  PIP_DOWNLOAD_CACHE=/home/lamby/.cache/pip
  HOME=/home/lamby
  LOGNAME=lamby
  SHLVL=1
  PWD=/home/lamby/temp/cdt.20160705080558.EOCyGonLai.date/date-1.2.34
  OLDPWD=/home/lamby/temp/cdt.20160705080558.EOCyGonLai.date
  GPG_TTY=/dev/console
  QUILT_PATCHES=debian/patches
  QUILT_NO_DIFF_INDEX=1
  QUILT_REFRESH_ARGS=-p ab --no-timestamps --no-index
  DEBEMAIL=la...@debian.org
  DEBFULLNAME=Chris Lamb
  EDITOR=vim
  LESS=-cgiFx4M
  BLASTER=A220 I5 D1 H5 P330 T6
  _=/usr/bin/env
  
  
**************************************************************************************
  ** Building date 1.2.34-1 on amd64                                            
      **
  
**************************************************************************************
  
   dpkg-buildpackage -rfakeroot -D -us -uc -b
  dpkg-buildpackage: info: source package date
  dpkg-buildpackage: info: source version 1.2.34-1
  dpkg-buildpackage: info: source distribution unstable
  dpkg-buildpackage: info: source changed by Dirk Eddelbuettel <e...@debian.org>
   dpkg-source --before-build date-1.2.34
  dpkg-buildpackage: info: host architecture amd64
   fakeroot debian/rules clean
  dh_listpackages: Please specify the compatibility level in debian/compat
  dh_listpackages: Compatibility levels before 5 are no longer supported (level 
1 requested)
  CDBS WARNING:    simple-patchsys.mk is deprecated since 0.4.85 - please use 
source format 3.0 (quilt) instead
  test -x debian/rules
  /usr/bin/make -f debian/rules reverse-config
  make[1]: Entering directory 
'/home/lamby/temp/cdt.20160705080558.EOCyGonLai.date/date-1.2.34'
  dh_listpackages: Please specify the compatibility level in debian/compat
  dh_listpackages: Compatibility levels before 5 are no longer supported (level 
1 requested)
  CDBS WARNING:    simple-patchsys.mk is deprecated since 0.4.85 - please use 
source format 3.0 (quilt) instead
  make[1]: 'reverse-config' is up to date.
  make[1]: Leaving directory 
'/home/lamby/temp/cdt.20160705080558.EOCyGonLai.date/date-1.2.34'
  if [ "reverse-patches" = "reverse-patches" ]; then rm -f 
debian/stamp-patched; fi
  patches: 
  if [ "reverse-patches" != "reverse-patches" ]; then touch 
debian/stamp-patched; fi
  if [ "reverse-patches" != "reverse-patches" ] ; then \
        /usr/bin/make -f debian/rules update-config ; \
  fi
  for dir in debian/patches ; do \
      rm -f $dir/*.log ; \
  done
  dh_clean 
  dh_clean: Please specify the compatibility level in debian/compat
  /usr/share/cdbs/1/rules/debhelper.mk:217: recipe for target 'clean' failed
  make: *** [clean] Error 2

  [..]

The full build log is attached.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      la...@debian.org / chris-lamb.co.uk
       `-

Attachment: date.1.2.34-1.unstable.amd64.log.txt.gz
Description: Binary data

_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to